# Doesn't require any BIOS/copyrighted material, so it can go in core.

Name:           mednafen
Version:        1.29.0
Release:        %mkrel 2
Summary:        Command-line-driven multi-system emulator utilizing OpenGL and SDL
Group:          Emulators
License:        GPLv2+
URL:            https://mednafen.github.io
Source0:        https://mednafen.github.io/releases/files/%{name}-%{version}.tar.xz

BuildRequires:  bison
BuildRequires:  musepack-devel
BuildRequires:  pkgconfig(alsa)
BuildRequires:  pkgconfig(jack)
BuildRequires:  pkgconfig(lzo2)
BuildRequires:  pkgconfig(libzstd)
BuildRequires:  pkgconfig(sdl2)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(zlib)
# Recommend a front-end (mednaffe or qmednafen)
Recommends:     mednafen-frontend

%description
Mednafen is a portable, command-line-driven multi-system emulator utilizing
OpenGL and SDL. Mednafen has the ability to remap hotkey functions and
virtual system inputs to a keyboard, a joystick, or both simultaneously.

The following systems are supported:
 - Apple II/II+
 - Atari Lynx
 - GameBoy (Color)
 - GameBoy Advance
 - Neo Geo Pocket (Color)
 - Nintendo Entertainment System
 - PC Engine/TurboGrafx 16 (CD)
 - PC-FX
 - Sega Game Gear
 - Sega Genesis/Megadrive
 - Sega Master System
 - Sega Saturn (experimental, x86_64 only)
 - Sony Playstation
 - Super Nintendo Entertainment System/Super Famicom
 - SuperGrafx
 - Virtual Boy
 - WonderSwan

Warning: No GUI.

%files -f %{name}.lang
%doc ChangeLog TODO Documentation/*
%{_bindir}/%{name}

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{name}

%build
%configure --enable-psx \
           --with-external-mpcdec \
           --with-external-lzo \
           --with-external-libzstd
%make_build

#TODO --with-external-tremor --with-external-trio

%install
%make_install

# Clear doc folder from unneeded bits
pushd Documentation
rm -rf  docgen.inc \
        generate.sh \
        Makefile* \
        *.php
popd

%find_lang %{name}


%changelog
* Thu Mar 30 2023 daviddavid <daviddavid> 1.29.0-2.mga9
+ Revision: 1950863
- use system musepack, lzo2 and libzstd

* Mon Jan 16 2023 daviddavid <daviddavid> 1.29.0-1.mga9
+ Revision: 1933913
- new version: 1.29.0

* Fri Apr 01 2022 umeabot <umeabot> 1.26.1-2.mga9
+ Revision: 1838909
- Mageia 9 Mass Rebuild

* Tue Nov 17 2020 akien <akien> 1.26.1-1.mga8
+ Revision: 1646830
- Version 1.26.1

* Thu Nov 05 2020 wally <wally> 1.24.3-2.mga8
+ Revision: 1642903
- fix build with autoconf 2.69d

* Mon Oct 19 2020 akien <akien> 1.24.3-1.mga8
+ Revision: 1637072
- Version 1.24.3

* Tue Mar 24 2020 daviddavid <daviddavid> 1.24.1-1.mga8.tainted
+ Revision: 1559187
- new version: 1.24.1

* Fri Feb 21 2020 umeabot <umeabot> 1.22.2-2.mga8.tainted
+ Revision: 1548880
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Apr 25 2019 akien <akien> 1.22.2-1.mga7.tainted
+ Revision: 1395284
- Version 1.22.2

* Wed Jan 30 2019 daviddavid <daviddavid> 1.22.1-1.mga7.tainted
+ Revision: 1361855
- new version: 1.22.1

* Thu Sep 20 2018 umeabot <umeabot> 1.21.3-2.mga7.tainted
+ Revision: 1279503
- Mageia 7 Mass Rebuild

* Mon May 14 2018 akien <akien> 1.21.3-1.mga7.tainted
+ Revision: 1229413
- Version 1.21.3

* Tue Oct 24 2017 zezinho <zezinho> 0.9.48-1.mga7.tainted
+ Revision: 1173526
- new version

* Sat Aug 26 2017 akien <akien> 0.9.46-1.mga7.tainted
+ Revision: 1148014
- Version 0.9.46

* Tue Jun 13 2017 akien <akien> 0.9.45.1-1.mga6.tainted
+ Revision: 1107594
- Version 0.9.45.1 (mga#21072)
- Fix invalid URL

* Sun Jun 04 2017 akien <akien> 0.9.45-1.mga6.tainted
+ Revision: 1106744
- Version 0.9.45

* Wed Apr 26 2017 akien <akien> 0.9.44.1-1.mga6.tainted
+ Revision: 1097720
- Version 0.9.44.1

* Sun Apr 23 2017 akien <akien> 0.9.44-1.mga6.tainted
+ Revision: 1097172
- Version 0.9.44

* Tue Feb 28 2017 akien <akien> 0.9.43-1.mga6.tainted
+ Revision: 1088211
- Version 0.9.43

* Wed Feb 08 2017 akien <akien> 0.9.42-1.mga6.tainted
+ Revision: 1085184
- Version 0.9.42

* Mon Jan 23 2017 akien <akien> 0.9.41-1.mga6.tainted
+ Revision: 1083106
- Version 0.9.41 (bundled minilzo updated to 2.09, dropped P1)

* Wed Oct 26 2016 akien <akien> 0.9.39.2-1.mga6.tainted
+ Revision: 1063537
- Version 0.9.39.2

* Sun Jan 10 2016 akien <akien> 0.9.38.7-2.mga6.tainted
+ Revision: 921013
- Recommend a front-end

* Sun Jan 10 2016 akien <akien> 0.9.38.7-1.mga6.tainted
+ Revision: 920982
- Version 0.9.38.7

* Mon Jun 22 2015 akien <akien> 0.9.38.4-1.mga6.tainted
+ Revision: 839364
- Version 0.9.38.4

* Fri Nov 21 2014 akien <akien> 0.9.36.5-1.mga5.tainted
+ Revision: 798035
- Version 0.9.36.5

* Thu Oct 16 2014 akien <akien> 0.9.36.4-1.mga5.tainted
+ Revision: 763290
- Version 0.9.36.4
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.36.3-3.mga5.tainted
+ Revision: 682343
- Mageia 5 Mass Rebuild

* Wed Aug 20 2014 akien <akien> 0.9.36.3-2.mga5.tainted
+ Revision: 665785
- Update bundled minilzo.c to version 2.08 to fix CVE-2014-4607 (mga#13947)

* Sat Aug 16 2014 akien <akien> 0.9.36.3-1.mga5.tainted
+ Revision: 663865
- Version 0.9.36.3

* Sat Jun 14 2014 akien <akien> 0.9.35.1-1.mga5.tainted
+ Revision: 636123
- Version 0.9.35.1

* Fri Apr 25 2014 akien <akien> 0.9.33.3-1.mga5.tainted
+ Revision: 618082
- New version 0.9.33.3

* Tue Mar 11 2014 akien <akien> 0.9.33.1-1.mga5.tainted
+ Revision: 602474
- New version 0.9.33.1
- Complement description
- Remove unnecessary files from docdir

* Thu Oct 31 2013 tmb <tmb> 0.9.26-4.mga4.tainted
+ Revision: 548208
- Mageia 4 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.9.26-3.mga4.tainted
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.9.26-3.mga3.tainted
+ Revision: 362260
- fix for automake 1.13
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 wally <wally> 0.9.26-1.mga3.tainted
+ Revision: 325100
- new version 0.9.26wip
- drop upstreamed patch
- BR jack
- clean .spec a bit

* Mon Oct 31 2011 dmorgan <dmorgan> 0.9.18-2.mga2.tainted
+ Revision: 160247
- imported package mednafen


* Thu Oct 27 2011 Götz Waschk <waschk@mandriva.org> 0.9.18-2mdv2012.0
+ Revision: 707549
- rebuild for new libcdio

  + Alexander Barakin <abarakin@mandriva.org>
    - imported package mednafen

* Sat Jul 30 2011 Andrey Bondrov <abondrov@mandriva.org> 0.9.17.1-1
+ Revision: 692335
- imported package mednafen


* Thu Jul 21 2011 Andrey Bondrov <bondrov@math.dvgu.ru> 0.9.17.1-1mdv2011.0
- 9.17.1

* Fri Jun 04 2010 Guillaume Bedot <littletux@zarb.org> 0.8.13-1plf2010.1
- 0.8.D

* Sun Apr 19 2009 Guillaume Bedot <littletux@zarb.org> 0.8.11-1plf2009.1
- 0.8.B

* Fri Oct 31 2008 Guillaume Bedot <littletux@zarb.org> 0.8.10-1plf2009.0
- 0.8.A

* Thu Jun 26 2008 Guillaume Bedot <littletux@zarb.org> 0.8.9-1plf2009.0
- 0.8.9

* Thu Apr 17 2008 Guillaume Bedot <littletux@zarb.org> 0.8.8-1plf2009.0
- 0.8.8

* Mon Jan 28 2008 Guillaume Bedot <littletux@zarb.org> 0.8.7-1plf2008.1
- 0.8.7

* Tue Nov 27 2007 Guillaume Bedot <littletux@zarb.org> 0.8.5-1plf2008.1
- 0.8.5

* Tue Aug 14 2007 Guillaume Bedot <littletux@zarb.org> 0.8.4-0.rc1plf2008.0
- 0.8.4-rc1

* Wed May  2 2007 Guillaume Bedot <littletux@zarb.org> 0.8.1-1plf2008.0
- 0.8.1

* Tue Mar 27 2007 Guillaume Bedot <littletux@zarb.org> 0.7.2-1plf2007.1
- 0.7.2

* Sun Sep 09 2006 Guillaume Bedot <littletux@zarb.org> 0.6.5-1plf2007.0
- 0.6.5

* Wed Aug 30 2006 Anssi Hannula <anssi@zarb.org> 0.6.4-2plf2007.0
- fix buildrequires

* Tue Aug 22 2006 Guillaume Bedot <littletux@zarb.org> 0.6.4-1plf2007.0
- 0.6.4
- fix rights on source files

* Fri Aug 11 2006 Guillaume Bedot <littletux@zarb.org> 0.6.3-1plf2007.0
- 0.6.3

* Wed Jul 19 2006 Guillaume Bedot <littletux@zarb.org> 0.6.2-2plf2007.0
- fixed permissions on source, space intead of tabs, clean install

* Mon Jun 26 2006 Guillaume Bedot <littletux@zarb.org> 0.6.2-1plf2007.0
- Release 0.6.2

* Sun May 28 2006 Guillaume Bedot <littletux@zarb.org> 0.6.1-1plf
- Release 0.6.1
- Buildrequires libGL and libGLU devel packages

* Sun Apr 02 2006 Guillaume Bedot <littletux@zarb.org> 0.5.2-2plf
- Rebuild for libcdio7

* Sun Mar 12 2006 Guillaume Bedot <littletux@zarb.org> 0.5.2-1plf
- New version

* Wed Feb 22 2006 Guillaume Bedot <littletux@zarb.org> 0.4.9-1plf
- First package
